Subject: wireless-regdb: non-deterministic build failures on armhf

From: Mark H Weaver <[email-masked]>
Date: Wed, 09 Dec 2015 10:03:57 -0500

In the last three weeks, wireless-regdb has failed to build 4 times on
armhf, although after restarting, the same derivations have later been
built successfully.  The last two failures were for the following
derivation, which finally succeeded on the third try:

  http://hydra.gnu.org:3000/build/862624#tabs-buildsteps

All of the failures I've seen are the same.  During the install phase:

--8<---------------cut here---------------start------------->8---
install -m 644 -t //gnu/store/5l3wmhwaq5q01ikbz4vam6ss6i8cj0lk-wireless-regdb-2015.04.06/lib/crda/ regulatory.bin
install: cannot stat ?regulatory.bin?: No such file or directory
Makefile:101: recipe for target 'install' failed
make: *** [install] Error 1
phase `install' failed after 0.2 seconds
--8<---------------cut here---------------end--------------->8---

Below, I've attached the complete build log for the most recent failure.
I have logs from three other failures as well.

      Mark

warning: failed to install locale: Invalid argument
substitute: warning: failed to install locale: Invalid argument
substitute: 
substitute: updating list of substitutes from 'http://hydra.gnu.org'...   0.0%
substitute: updating list of substitutes from 'http://hydra.gnu.org'... 100.0%
The following derivation will be built:
   /gnu/store/k3b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv
warning: failed to install locale: Invalid argument
@ build-started /gnu/store/k3b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv - armhf-linux /var/log/guix/drvs/k3//b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv.bz2
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/a3b2ggn0l8h0x9jnidymwlik78ag7q5y-python-2.7.10/bin:/gnu/store/7qcsd4v2bkzn44x0aqra29qgcszdlcxq-tar-1.28/bin:/gnu/store/0skjn7m4q8n54mjp1n5raprcwbhcznyl-gzip-1.6/bin:/gnu/store/sshpd67mhrqc0wswdglf2p2c8259as7l-bzip2-1.0.6/bin:/gnu/store/lrwlh5kghjn43q8ih8br8693jm3zygd4-xz-5.0.4/bin:/gnu/store/0b4zahxdwwajhb6pxznbnxqav1v193rs-file-5.22/bin:/gnu/store/wdd9r3mb9aq8rfcpafmzjvpfznsi2dxd-diffutils-3.3/bin:/gnu/store/5magqcdv0jl70inqmlmd3yzwvxylwbvf-patch-2.7.5/bin:/gnu/store/sz7dpj8s4m8kpimj1jmr1l20hi8gd4vk-sed-4.2.2/bin:/gnu/store/fj6z5hg083vg94swis2sji57ag4k1avb-findutils-4.4.2/bin:/gnu/store/389k7p9f1d456d4fhbm898mj7mj1hykd-gawk-4.1.3/bin:/gnu/store/5b0xyhc7nii0dpl9lng357zcyrwrn4ar-grep-2.21/bin:/gnu/store/mhmrmwrqry4hjz0gc9l3bd69m4v3sbwl-coreutils-8.24/bin:/gnu/store/qfpzqcqjk62r0pl0c6kg3g1s3k5y8lan-make-4.1/bin:/gnu/store/6fdr3fhqxgfk96n9ghqgzixx6b85s7ad-bash-4.3.39/bin:/gnu/store/qkc21gv05bwjwpzak1jijk13w7hsrqyc-ld-wrapper-0/bin:/gnu/store/7lwb77jxsf27qh4iwjz12gbbdyr67fmb-binutils-2.25.1/bin:/gnu/store/bm3zc7jcc2qandw6mcwrymjzdibfprcs-gcc-4.9.3/bin:/gnu/store/q2c0kdp9rwzhhx0zksigzbpr84mfn36s-glibc-2.22/bin:/gnu/store/q2c0kdp9rwzhhx0zksigzbpr84mfn36s-glibc-2.22/sbin'
environment variable `PYTHONPATH' set to `/gnu/store/a3b2ggn0l8h0x9jnidymwlik78ag7q5y-python-2.7.10/lib/python2.7/site-packages'
environment variable `CPATH' set to `/gnu/store/a3b2ggn0l8h0x9jnidymwlik78ag7q5y-python-2.7.10/include:/gnu/store/sshpd67mhrqc0wswdglf2p2c8259as7l-bzip2-1.0.6/include:/gnu/store/lrwlh5kghjn43q8ih8br8693jm3zygd4-xz-5.0.4/include:/gnu/store/0b4zahxdwwajhb6pxznbnxqav1v193rs-file-5.22/include:/gnu/store/389k7p9f1d456d4fhbm898mj7mj1hykd-gawk-4.1.3/include:/gnu/store/qfpzqcqjk62r0pl0c6kg3g1s3k5y8lan-make-4.1/include:/gnu/store/7lwb77jxsf27qh4iwjz12gbbdyr67fmb-binutils-2.25.1/include:/gnu/store/bm3zc7jcc2qandw6mcwrymjzdibfprcs-gcc-4.9.3/include:/gnu/store/q2c0kdp9rwzhhx0zksigzbpr84mfn36s-glibc-2.22/include:/gnu/store/m0afqsi32rpm25dn5fc9d7a9c4azyzb9-linux-libre-headers-3.14.37/include'
environment variable `LIBRARY_PATH' set to `/gnu/store/a3b2ggn0l8h0x9jnidymwlik78ag7q5y-python-2.7.10/lib:/gnu/store/sshpd67mhrqc0wswdglf2p2c8259as7l-bzip2-1.0.6/lib:/gnu/store/lrwlh5kghjn43q8ih8br8693jm3zygd4-xz-5.0.4/lib:/gnu/store/0b4zahxdwwajhb6pxznbnxqav1v193rs-file-5.22/lib:/gnu/store/389k7p9f1d456d4fhbm898mj7mj1hykd-gawk-4.1.3/lib:/gnu/store/7lwb77jxsf27qh4iwjz12gbbdyr67fmb-binutils-2.25.1/lib:/gnu/store/q2c0kdp9rwzhhx0zksigzbpr84mfn36s-glibc-2.22/lib:/gnu/store/01g7dw605cxxxwj7l92fgs92kf1swdpa-glibc-utf8-locales-2.22/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/01g7dw605cxxxwj7l92fgs92kf1swdpa-glibc-utf8-locales-2.22/lib/locale'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
wireless-regdb-2015.04.06/
wireless-regdb-2015.04.06/.gitignore
wireless-regdb-2015.04.06/CONTRIBUTING
wireless-regdb-2015.04.06/LICENSE
wireless-regdb-2015.04.06/Makefile
wireless-regdb-2015.04.06/README
wireless-regdb-2015.04.06/db.txt
wireless-regdb-2015.04.06/db2bin.py
wireless-regdb-2015.04.06/dbparse.py
wireless-regdb-2015.04.06/debian-example/
wireless-regdb-2015.04.06/debian-example/changelog
wireless-regdb-2015.04.06/debian-example/compat
wireless-regdb-2015.04.06/debian-example/control
wireless-regdb-2015.04.06/debian-example/copyright
wireless-regdb-2015.04.06/debian-example/docs
wireless-regdb-2015.04.06/debian-example/rules
wireless-regdb-2015.04.06/regulatory.bin
wireless-regdb-2015.04.06/regulatory.bin.5
wireless-regdb-2015.04.06/sforshee.key.pub.pem
wireless-regdb-2015.04.06/sha1sum.txt
wireless-regdb-2015.04.06/web/
wireless-regdb-2015.04.06/web/Regulatory.py
wireless-regdb-2015.04.06/wireless-regdb.spec
phase `unpack' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./db2bin.py: changing `/usr/bin/env python' to `/gnu/store/a3b2ggn0l8h0x9jnidymwlik78ag7q5y-python-2.7.10/bin/python'
patch-shebang: ./dbparse.py: changing `/usr/bin/env python' to `/gnu/store/a3b2ggn0l8h0x9jnidymwlik78ag7q5y-python-2.7.10/bin/python'
patch-shebang: ./debian-example/rules: changing `/usr/bin/make' to `/gnu/store/qfpzqcqjk62r0pl0c6kg3g1s3k5y8lan-make-4.1/bin/make'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.1 seconds
starting phase `build'
phase `build' succeeded after 0.1 seconds
starting phase `check'
test suite not run
phase `check' succeeded after 0.0 seconds
starting phase `install'
gzip < regulatory.bin.5 > regulatory.bin.5.gz
cat: .custom: No such file or directory
install -m 755 -d //gnu/store/5l3wmhwaq5q01ikbz4vam6ss6i8cj0lk-wireless-regdb-2015.04.06/lib/crda
install -m 755 -d //gnu/store/5l3wmhwaq5q01ikbz4vam6ss6i8cj0lk-wireless-regdb-2015.04.06/lib/crda/pubkeys
if [ -f .custom ]; then \
	install -m 644 -t //gnu/store/5l3wmhwaq5q01ikbz4vam6ss6i8cj0lk-wireless-regdb-2015.04.06/lib/crda/pubkeys/ ; \
fi
install -m 644 -t //gnu/store/5l3wmhwaq5q01ikbz4vam6ss6i8cj0lk-wireless-regdb-2015.04.06/lib/crda/pubkeys/ sforshee.key.pub.pem
install -m 644 -t //gnu/store/5l3wmhwaq5q01ikbz4vam6ss6i8cj0lk-wireless-regdb-2015.04.06/lib/crda/ regulatory.bin
install: cannot stat ?regulatory.bin?: No such file or directory
Makefile:101: recipe for target 'install' failed
make: *** [install] Error 1
phase `install' failed after 0.2 seconds
builder for `/gnu/store/k3b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv' failed with exit code 1
@ build-failed /gnu/store/k3b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv - 1 builder for `/gnu/store/k3b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/k3b536hap7xqwpfhq7jih4ly1mgsr8ia-wireless-regdb-2015.04.06.drv' failed